# Fill property

Source: `R/apex-utils.R`
`ax_fill.Rd`

Fill property

    ax_fill(
      ax,
      type = NULL,
      colors = NULL,
      opacity = NULL,
      gradient = NULL,
      image = NULL,
      pattern = NULL,
      ...
    )

## Arguments

ax | A `apexcharts` `htmlwidget` object.
type | Whether to fill the paths with solid colors or gradient. Available options: `"solid"`, `"gradient"`, `"pattern"` or `"image"`.
colors | Colors to fill the svg paths..
opacity | Opacity of the fill attribute.
gradient | A list of parameters.
image | A list of parameters.
pattern | A list of parameters.
... | Additional parameters.

## Value

A `apexcharts` `htmlwidget` object.

## Note

See https://apexcharts.com/docs/options/fill/

## Examples

    library(dplyr)
    data("diamonds", package = "ggplot2")

    # Use a pattern to fill bars
    apex(
      data = count(diamonds, cut, color),
      mapping = aes(x = color, y = n, fill = cut)
    ) %>%
      ax_fill(
        type = "pattern",
        opacity = 1,
        pattern = list(
          style = c("circles", "slantedLines", "verticalLines", "horizontalLines", "squares")
        )
      )

    data("economics", package = "ggplot2")

    # Customise gradient
    apex(
      data = economics,
      mapping = aes(x = date, y = psavert),
      type = "area"
    ) %>%
      ax_fill(gradient = list(
        enabled = TRUE,
        shadeIntensity = 1,
        inverseColors = FALSE,
        opacityFrom = 0,
        opacityTo = 1,
        stops = c(0, 2000)
      ))